Bug 175067 - grubby fatal error: unable to find a suitable template
grubby fatal error: unable to find a suitable template
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-06 00:12 EST by Stephen Warren
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 16:51:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Warren 2005-12-06 00:12:08 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20051118 Fedora/1.5-0.5.0.rc3 Firefox/1.5

Description of problem:
When running "yum update", I see these error messages:

  Installing: kernel                       ##################### [216/490]
grubby: no boot line found in lilo configuration
grubby fatal error: unable to find a suitable template

Note that /etc/lilo.conf does exist, and is a zero-sized file.

"rpm -qf" claims /etc/lilo.conf isn't owned by any package. Not sure where it came from - I didn't create it; I use grub (on this machine at least)!


Version-Release number of selected component (if applicable):
mkinitrd-5.0.12-1

How reproducible:
Always

Steps to Reproduce:
1. Install fc5test1
2. yum update
3. Notice the /boot/grub/grub.conf was updated OK, so that part worked.

Once the above was done, I noticed that I still had the kernel-smp package installed (due to installer mis-detecting my machine), so I ran "rpm -e kernel-smp" and got these similar results:

grubby: no boot line found in lilo configuration
grubby fatal error: unable to find a suitable template
grubby: doing this would leave no kernel entries. Not writing out new config.



Additional info:
Comment 1 Peter Jones 2006-02-27 11:24:49 EST
If you remove lilo.conf, does it work?
Comment 2 John Thacker 2006-05-05 16:51:03 EDT
Closing due to lack of response from reporter.

The problem is almost certainly the stray lilo.conf file.

Note You need to log in before you can comment on or make changes to this bug.